/////////////////////////////////////////////////////////////////////////////////////////////
// copy this folder inside your gamestudio folder
// open lwheel.wmp, build it and run it using lwheel.wdl
/////////////////////////////////////////////////////////////////////////////////////////////

var video_mode = 7; // 800x600 pixels
var video_depth = 16; // 16 bit mode

var letter_number = 0; // 0 for "A", 1 for "B", ... , 25 for "Z"

/////////////////////////////////////////////////////////////////////////////////////////////

string lwheel_wmb = <lwheel.wmb>;
string temp_str; // a temporary string
string name_str = "                              "; // stores the name that will be displayed on the screen, up to 30 characters

/////////////////////////////////////////////////////////////////////////////////////////////

font adventure_font = <adventure.bmp>, 14, 15;

///////////////////////////////////////////////////////////////////////////////////

text name_txt 
{ 
	font = adventure_font;
	pos_x = 200; 
	pos_y = 560; 
	layer = 20;
	string = name_str;
	flags = visible;
}

///////////////////////////////////////////////////////////////////////////////////

function main()
{
	level_load (lwheel_wmb);
	wait (3);
	camera.x = 40;
	camera.y = -100;
	camera.z = 2100;
	camera.pan = 90;
	camera.tilt = -90;
}

action rotating_wheel
{
	str_cpy(name_str, ""); // reset name_str;
	while (1)
	{
		if (key_cur == on)
		{
			while (key_cur == on) {wait (1);}
			my.pan += 360 / 26; // add the angle (sector) that is covered by a letter
			letter_number += 1;
		}
		if (key_cul == on)
		{
			while (key_cul == on) {wait (1);}
			my.pan -= 360 / 26; // subtract the angle (sector) that is covered by a letter
			letter_number -= 1;
		}
		letter_number %= 26;
		if ((key_enter == on) || (key_space == on)) // press space or enter to select a letter
		{
			while (key_enter + key_space > 0) {wait (1);} // wait until the keys are released
			str_for_asc(temp_str, letter_number + 65); // add 65 to turn 0 into 65 ("A"), 1 into 66 ("B") and so on
			str_cat (name_str, temp_str);
		}
		name_txt.pos_x = 400 - str_len(name_str) * name_txt.char_x / 2 ; // center the text on the screen
		wait (1);
	}
}

